# $Revision: 1.12 $, $Date: 2005/06/01 01:15:34 $
#
# Conditional build:
%bcond_with	3dnow	# enables use of 3DNow! instructions
%bcond_with	sse	# enables use of SSE instructions
#
%define		_name	swh-plugins
#
Summary:	A set of LADSPA audio plugins
Summary(pl):	Zestaw wtyczek dwikowych LADSPA
Name:		ladspa-swh-plugins
Version:	0.4.13
Release:	2
License:	GPL
Group:		Applications/Sound
Source0:	http://plugin.org.uk/releases/%{version}/%{_name}-%{version}.tar.gz
# Source0-md5:	83fc4f1ec9e6c7e0632b1b1d95717060
Patch0:		%{name}-use_our_optflags.patch
Patch1:		%{name}-shared-gsm.patch
URL:		http://plugin.org.uk/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	fftw3-single-devel
BuildRequires:	gettext-devel
BuildRequires:	ladspa-devel
BuildRequires:	libgsm-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	ladspa-common
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%ifarch athlon
%define		with_3dnow	1
%endif

%description
A set of LADSPA audio plugins (see http://plugin.org.uk/ for more
details).

%description -l pl
Zestaw wtyczek dwikowych LADSPA (wicej informacji pod adresem
http://plugin.org.uk/).

%prep
%setup -q -n %{_name}-%{version}
%patch0 -p1
%patch1 -p1

sed -i -e 's:/lib/ladspa:/%{_lib}/ladspa:' Makefile.am

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__automake}
%{__autoconf}
%configure \
	%{?with_3dnow:--enable-3dnow} \
	%{?with_sse:--enable-sse}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

#%find_lang %{_name}

%clean
rm -rf $RPM_BUILD_ROOT

#%files -f %{_name}.lang
%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/ladspa/*.so
%{_datadir}/ladspa/rdf/swh-*.rdf

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ladspa-swh-plugins.spec,v $
Revision 1.12  2005/06/01 01:15:34  ankry
- amd64 fix

Revision 1.11  2005/03/24 23:01:20  freetz
- 0.4.13

Revision 1.10  2004/10/27 19:56:22  qboosh
- disable find_lang for now (the only "translation" contains 0 messages)

Revision 1.9  2004/10/27 18:14:38  freetz
- started upgrade to 0.4.11, it compiles at least!

Revision 1.8  2003/12/03 06:59:53  qboosh
- pkgconfig is used to detect fftw3 - uncommented BR

Revision 1.7  2003/12/02 21:51:01  freetz
- up to 0.4.3
- switched to fftw3
- new style bconds

Revision 1.6  2003/08/04 19:06:25  qboosh
- patched to use shared libgsm
- gettextize (needed with gt 0.12.1)
- cleanups, note about fftw3, R: ladspa-common

Revision 1.5  2003/06/19 21:36:21  freetz
- fixed descriptions, pointed by Jacek Konieczny

Revision 1.4  2003/06/19 13:17:33  freetz
- typo

Revision 1.3  2003/06/19 13:06:27  freetz
- removed hardcoded optimizations (patch)
- added bcond for build with SSE
- moved to group Applications/Sound

Revision 1.2  2003/06/09 18:49:31  qboosh
- pl description, attr for *.so

Revision 1.1  2003/06/09 06:11:16  aflinta
- moved from xmms-effect-ladspa-swh.spec, some corrections - thx Fryderyk Dziarmagowski for suggestion

Revision 1.3  2003/05/28 13:03:09  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 06:28:24  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/01/19 01:01:15  wolf
- new
